package com.hikcreate.config

import com.hikcreate.utils.CommonUtils

/**
  * spark配置类
  */
object SparkConfig {

  /**
    * master
    */
  private var master = CommonUtils.getProperties("spark.properties").getProperty("spark.master")

  /**
    * appName
    */
  private var appName = CommonUtils.getProperties("spark.properties").getProperty("spark.appName")

  /**
    * driverMemory
    */
  private var driverMemory = CommonUtils.getProperties("spark.properties").getProperty("spark.driverMemory")

  /**
    * workerMemory
    */
  private var workerMemory = CommonUtils.getProperties("spark.properties").getProperty("spark.workerMemory")

  /**
    * executorMemory
    */
  private var executorMemory = CommonUtils.getProperties("spark.properties").getProperty("spark.executorMemory")

  /**
    * rpcMessageMaxSize
    */
  private var rpcMessageMaxSize = CommonUtils.getProperties("spark.properties").getProperty("spark.rpcMessageMaxSize")

  def getMaster() : String = {
    master
  }
  def setMaster(master : String) : Unit = {
    this.master = master
  }

  def getAppName() : String = {
    appName
  }
  def setAppName(appName : String) : Unit = {
    this.appName = appName
  }

  def getDriverMemory() : String = {
    driverMemory
  }
  def setDriverMemory(master : String) : Unit = {
    this.driverMemory = driverMemory
  }

  def getWorkerMemory() : String = {
    workerMemory
  }
  def setWorkerMemory(master : String) : Unit = {
    this.workerMemory = workerMemory
  }

  def getExecutorMemory() : String = {
    executorMemory
  }
  def setExecutorMemory(master : String) : Unit = {
    this.executorMemory = executorMemory
  }

  def getRpcMessageMaxSize() : String = {
    rpcMessageMaxSize
  }
  def setRpcMessageMaxSize(master : String) : Unit = {
    this.rpcMessageMaxSize = rpcMessageMaxSize
  }
}
