package com.hikcreate.launcher


import com.hikcreate.task.Train
import org.apache.log4j.Logger

/**
  * 程序入口
  */
object Main {
  //注册应用
  private val logger2 = Logger.getLogger(Main.getClass)

  private val FOO = Map("train" -> new Train())

  def main(args: Array[String]): Unit = {
    if (args == null || args.size < 1 || FOO.contains(args(0))) {
      logger2.error("请指定一个启动应用：" + FOO.mkString(","))
    } else {
      val job = FOO(args(0))
      logger2.info("开始执行任务：" + args(0))
      job.doBussiness()
    }

  }


}
