### 结构说明 ###
1. com.hikcreate.config<br>
    配置文件目录，如：Apollo配置中心，sparkConf配置接口等 
2. com.hikcreate.task<br>
    业务代码，sql任务处理逻辑
3. com.hikcreate.model<br>
    实体类父目录
4. com.hikcreate.utils<br>
    工具类父目录
5. com.hikcreate.launcher<br>
    程序入口，通过传入指定参数执行相应的业务
6. lib<br>
    依赖包，需要上传到hdfs集群上，路径在$SPARK-HOME$/conf/spark-defaults.xml 中指定（spark.yarn.jars）<br>
    如： `spark.yarn.jars hdfs://hikbigdata/sparkJar/jars/*.jar`<br>
    **注意jar包冲突**，<br>
7. script<br>
    服务器脚本，主要作为一个文档管理作用，不作为执行文件，包含spark-submit脚本，hiveSql脚本
8. META-INF/app.properties<br>
    Apollo配置中心地址
9. log4j.properties<br>
    日志配置文件
