package com.hikcreate.config

import com.hikcreate.utils.CommonUtils

object HiveConfig {
  //ods_table
  private var ods_table = CommonUtils.getProperties("hive.properties").getProperty("ods.table")
  private var ods_special_table = CommonUtils.getProperties("hive.properties").getProperty("ods.special.table")
  private[this] var _ods_link_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.link.table")
  private[this] var _ods_heart_online_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.heartonline.table")
  private[this] var _up_connection_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.up_connection.table")
  private[this] var _up_disconnect_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.up_disconnect.table")
  private[this] var _up_disconnection_inform_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.up_disconnection_inform.table")
  private[this] var _down_connect_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.down_connection.table")
  private[this] var _register_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.register.table")
  private[this] var _real_location: String = CommonUtils.getProperties("hive.properties").getProperty("ods.real_location.table")
  private[this] var _ewaybill_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.ewaybill.table")
  private[this] var _warn_todo_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.warn_todo.table")
  private[this] var _warn_info_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.warn_info.table")
  private[this] var _take_travel: String = CommonUtils.getProperties("hive.properties").getProperty("ods.take_travel")
  private[this] var _vehicle_add: String = CommonUtils.getProperties("hive.properties").getProperty("ods.vehicle_add.table")
  private[this] var _device_param_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.device_param.table")
  private[this] var _report_driver_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.report_driver.table")
  private[this] var _file_complete_table: String = CommonUtils.getProperties("hive.properties").getProperty("ods.file_complete.table")

  def file_complete_table: String = _file_complete_table

  def file_complete_table_=(value: String): Unit = {
    _file_complete_table = value
  }

  def report_driver_table: String = _report_driver_table

  def report_driver_table_=(value: String): Unit = {
    _report_driver_table = value
  }

  def device_param_table: String = _device_param_table

  def device_param_table_=(value: String): Unit = {
    _device_param_table = value
  }

  def vehicle_add: String = _vehicle_add

  def vehicle_add_=(value: String): Unit = {
    _vehicle_add = value
  }

  def take_travel: String = _take_travel

  def take_travel_=(value: String): Unit = {
    _take_travel = value
  }

  def warn_info_table: String = _warn_info_table

  def warn_info_table_=(value: String): Unit = {
    _warn_info_table = value
  }

  def warn_todo_table: String = _warn_todo_table

  def warn_todo_table_=(value: String): Unit = {
    _warn_todo_table = value
  }

  def ewaybill_table: String = _ewaybill_table

  def ewaybill_table_=(value: String): Unit = {
    _ewaybill_table = value
  }

  def real_location: String = _real_location

  def real_location_=(value: String): Unit = {
    _real_location = value
  }

  def register_table: String = _register_table

  def register_table_=(value: String): Unit = {
    _register_table = value
  }

  def down_connect_table: String = _down_connect_table

  def down_connect_table_=(value: String): Unit = {
    _down_connect_table = value
  }

  def up_disconnection_inform_table: String = _up_disconnection_inform_table

  def up_disconnection_inform_table_=(value: String): Unit = {
    _up_disconnection_inform_table = value
  }

  def up_disconnect_table: String = _up_disconnect_table

  def up_disconnect_table_=(value: String): Unit = {
    _up_disconnect_table = value
  }

  def up_connection_table: String = _up_connection_table

  def up_connection_table_=(value: String): Unit = {
    _up_connection_table = value
  }

  def ods_heart_online_table: String = _ods_heart_online_table

  def ods_heart_online_table_=(value: String): Unit = {
    _ods_heart_online_table = value
  }

  def ods_link_table: String = _ods_link_table

  def ods_link_table_=(value: String): Unit = {
    _ods_link_table = value
  }

  //dwd_table
  private var dwd_table = CommonUtils.getProperties("hive.properties").getProperty("dwd.table")
  //dws_table
  private var dws_table = CommonUtils.getProperties("hive.properties").getProperty("dws.table")

  def getOds_Special_table(): String = {
    ods_special_table
  }

  def setOds_Special_table(ods_special_table: String): Unit = {
    this.ods_special_table = ods_special_table
  }

  def getOds_Table(): String = {
    ods_table
  }

  def setOds_table(ods_table: String): Unit = {
    this.ods_table = ods_table
  }

  def getDwd_Table(): String = {
    dwd_table
  }

  def setDwd_table(dwd_table: String): Unit = {
    this.dwd_table = dwd_table
  }

  def getDws_Table(): String = {
    dws_table
  }

  def setDws_table(dws_table: String): Unit = {
    this.dws_table = dws_table
  }

}
